@import "./colors.scss";

.force-unset-headline {
  margin: unset;
  margin-block-start: unset;
  margin-block-end: unset;
  margin-inline-start: unset;
  margin-inline-end: unset;
  font-weight: unset;
}

h1 {
  font-family: "Prompt-Regular";
  font-style: normal;
  font-weight: 500;
  font-size: 30px;
  line-height: 45px;
  margin-bottom: 0 !important;
  color: $primary-text;
  @extend .force-unset-headline;
}
h2 {
  font-family: "Prompt-Regular";
  font-style: normal;
  font-weight: 500;
  font-size: 30px;
  line-height: 44px;
  color: $primary-text;
  @extend .force-unset-headline;
}
h3 {
  font-family: "Prompt-Regular";
  font-style: normal;
  font-weight: 500;
  font-size: 24px;
  line-height: 36px;
  color: $primary-text;
  @extend .force-unset-headline;
}
h4 {
  font-family: "Prompt-Regular";
  font-style: normal;
  font-weight: 500;
  font-size: 24px;
  line-height: 30px;
  color: $primary-text;
  @extend .force-unset-headline;
}
h5 {
  font-family: "Prompt-Regular";
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  color: $primary-text;
  @extend .force-unset-headline;
}

h6 {
  font-family: "Prompt-Regular";
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 24px;
  @extend .force-unset-headline;
}

.body-1 {
  font-family: "Prompt-Regular" !important;
  font-style: normal !important;
  font-weight: normal !important;
  font-size: 18px !important;
  line-height: 20px !important;
  color: $primary-text !important;
}
.body-2{
  font-family: "Prompt-Regular" !important;
  font-style: normal !important;
  font-weight: normal !important;
  font-size: 14px !important;
  line-height: 22px !important;
  color: $primary-text !important;
}

.subtitle-1 {  
  font-family: "Prompt-Medium" !important;
  font-style: normal !important;
  font-weight: normal !important;
  font-size: 14px !important;
  line-height: 22px !important;
}
.subtitle-2 {
  font-family: "Prompt-Regular" !important;
  font-style: normal !important;
  font-weight: normal !important;
  font-size: 12px !important;
  line-height: 18px !important;
}

.link {
  font-size: 14px !important;
  line-height: 22px !important;
  font-weight: 500;
  font-family: "Prompt-Regular" !important;
}
.text-thin {
  font-family: "Prompt-Thin" !important;
}
